Bug 606379 - Review Request: rubygem-oniguruma - Bindings for the oniguruma regular expression library
Review Request: rubygem-oniguruma - Bindings for the oniguruma regular expre...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
http://oniguruma.rubyforge.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-21 09:55 EDT by Gerd Pokorra
Modified: 2010-07-13 03:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: rubygem-oniguruma-1.1.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-11 02:28:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gerd Pokorra 2010-06-21 09:55:16 EDT
Spec URL: ftp://ftp.uni-siegen.de/pub/review/rubygem-oniguruma.spec
SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rubygem-oniguruma-1.1.0-1.fc12.src.rpm

Description:
Ruby bindings to the Oniguruma[http://www.geocities.jp/kosako3/oniguruma/]
regular expression library (no need to recompile Ruby).
Comment 1 Gerd Pokorra 2010-06-21 09:58:17 EDT
scratch build URL:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2262031
Comment 2 Mamoru TASAKA 2010-06-21 12:26:38 EDT
Some notes:

* Optflags
  - Fedora specific compilation flags are not honored correctly
    as debuginfo rpm is not generated correctly.
    * build.log does not show this clearly:
---------------------------------------------------------------
    43  + gem install --local --install-dir /builddir/build/BUILD/rubygem-oniguruma-1.1.0//usr/lib/ruby/gems/1.8 --force --rdoc /builddir/build/SOURCES/oniguruma-1.1.0.gem
    44  No definition for oregexp_initialize
    45  No definition for oregexp_initialize
    46  Building native extensions.  This could take a while...
---------------------------------------------------------------
      Add "-V" option to "gem install" to make build.log more
      verbose.

    * The reason Fedora specific compilation flags are not correctly
      honored is that ext/extconf.rb overrides CFLAGS value:
---------------------------------------------------------------
     3  $CFLAGS='-Wall'
---------------------------------------------------------------
      Unfortunately in such cases 
      export CONFIGURE_ARGS="--with-cflags='%{optflags}'" or so before
      "gem install" does not work.
      In the case like this, you have to recompile C extension module
      by yourself like
----------------------------------------------------------------
pushd ./%{geminstdir}/ext
make clean all install CFLAGS="%{optflags}"
----------------------------------------------------------------

* %check
----------------------------------------------------------------
rake test | :
----------------------------------------------------------------
  - "|" is pipe, not || operator
  - and please check if || : is really needed.

* %doc in -doc
  - Again I think %doc attribute in -doc subpackage is redundant.
Comment 3 Gerd Pokorra 2010-06-23 07:25:04 EDT
add "-V" option to the "gem install" command

I am sorry, but I was not able to make the build better.


The debug package has still no sources included:

$ rpmlint ~/rubygem-oniguruma-debuginfo-1.1.0-2.fc13.x86_64.rpm 
rubygem-oniguruma-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


The patch includes the path so I is easier to add other commands (No "cd" is needed jet). This can changed back later.


current (release 2) spec file URL:
ftp://ftp.uni-siegen.de/pub/review/rubygem-oniguruma.spec

SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rubygem-oniguruma-1.1.0-2.fc12.src.rpm

scratch build URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2267417
Comment 4 Mamoru TASAKA 2010-06-24 15:06:11 EDT
(In reply to comment #3)
> add "-V" option to the "gem install" command
> 
> I am sorry, but I was not able to make the build better.

- Here adding "-V" option is just to make build log more
  verbose so that we can check what is actually done (especially
  if optflags are correctly honored or not)

> The debug package has still no sources included:
> 
> $ rpmlint ~/rubygem-oniguruma-debuginfo-1.1.0-2.fc13.x86_64.rpm 
> rubygem-oniguruma-debuginfo.x86_64: E: debuginfo-without-sources
> 1 packages and 0 specfiles checked; 1 errors, 0 warnings.

- With rebuilt on koji, debuginfo rpm is correctly generated. Please
  check if you have surely redhat-rpm-config installed.

> The patch includes the path so I is easier to add other commands (No "cd" is
> needed jet). This can changed back later.

- See below.

For -2:

* Unneeded || :
  - Please avoid to use "|| :" unless really unavoidable
    ( In this case, if "make all" fails rpmbuild must stop
      there and "|| :" should really be removed )

* Patch0
  - Making patch header contain such large paths should be
    avoided ( current patch cannot be used with the version
    is to be upgraded )

    Containing "oniguruma-1.1.0/Rakefile" is enough for header.

* Macros in comment
------------------------------------------------------------
rubygem-oniguruma.src:50: W: macro-in-comment %{optflags}
rubygem-oniguruma.src:54: W: macro-in-comment %{geminstdir}
------------------------------------------------------------
  - It is preferable that you always excape macros in comment with
    using %% because (while for this case there are no problems)
    macros are expanded even in comments which sometimes causes
    some unexpected errors.
Comment 5 Mamoru TASAKA 2010-07-04 10:41:34 EDT
ping?
Comment 6 Gerd Pokorra 2010-07-06 03:37:11 EDT
- Use the old patch again
- Add "-fPIC" option to CFLAGS
- Remove comments with macros

current spec file URL:
ftp://ftp.uni-siegen.de/pub/review/rubygem-oniguruma.spec

SRPM URL:
ftp://ftp.uni-siegen.de/pub/review/rubygem-oniguruma-1.1.0-3.fc12.src.rpm

scratch build URL:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2297398
Comment 7 Mamoru TASAKA 2010-07-07 12:08:38 EDT
Well, I actually overlooked -fPIC, thank you.

------------------------------------------------------------------
      This package (rubygem-oniguruma) is APPORVED by mtasaka
------------------------------------------------------------------
Comment 8 Gerd Pokorra 2010-07-08 15:31:17 EDT
Thank you for the help and review.

  Gerd
Comment 9 Gerd Pokorra 2010-07-09 03:01:26 EDT
New Package CVS Request
=======================
Package Name: rubygem-oniguruma
Short Description: Bindings for the oniguruma regular expression library
Owners: gerd
Branches: F-12 F-13
InitialCC: gerd
Comment 10 Kevin Fenzi 2010-07-09 14:17:26 EDT
CVS done (by process-cvs-requests.py).
Comment 11 Fedora Update System 2010-07-11 01:46:22 EDT
rubygem-oniguruma-1.1.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-oniguruma-1.1.0-3.fc13
Comment 12 Fedora Update System 2010-07-11 01:48:40 EDT
rubygem-oniguruma-1.1.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-oniguruma-1.1.0-3.fc12
Comment 13 Mamoru TASAKA 2010-07-11 02:28:53 EDT
Thank you. Closing.
Comment 14 Fedora Update System 2010-07-13 03:24:54 EDT
rubygem-oniguruma-1.1.0-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-13 03:30:38 EDT
rubygem-oniguruma-1.1.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.